// Copyright 2015 by Artem Prilutskiy

#ifndef BRANDMEISTERBRIDGE_H
#define BRANDMEISTERBRIDGE_H

#include "PatchCord.h"

class BrandMeisterBridge
{
  public:

    BrandMeisterBridge();
    ~BrandMeisterBridge();

    void setDefaultConfiguration(const char* configuration);
    void setProxyConfiguration(const char* configuration);

    const char* getTalker();
    void setTalker(const char* call, const char* name);
    void handleChatMessage(const char* text);

  private:

    PatchCord* proxy;
    char* talker;
    int unknown;

};

#endif